Loading...
Searching...
No Matches
caf::logger::event Struct Reference

Encapsulates a single logging event. More...

`#include <logger.hpp>`

## Public Member Functions

| event (event &&)=default
| event (const event &)=default
event & | operator= (event &&)=default
event & | operator= (const event &)=default
| event (unsigned lvl, unsigned line, atom_value cat, string_view full_fun, string_view fun, string_view fn, std::string msg, std::thread::id t, actor_id a, timestamp ts)

## Public Attributes

unsigned | level
| Level/priority of the event.
unsigned | line_number
| Current line in the file.
atom_value | category_name
| Name of the category (component) logging the event.
string_view | pretty_fun
| Name of the current function as reported by __PRETTY_FUNCTION__.
string_view | simple_fun
| Name of the current function as reported by __func__.
string_view | file_name
| Name of the current file.
std::string | message
| User-provided message.
std::thread::id | tid
| Thread ID of the caller.
actor_id | aid
| Actor ID of the caller.
timestamp | tstamp
| Timestamp of the event.

## Detailed Description

Encapsulates a single logging event.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/logger.hpp